Booking | GetSSRAvailability
Get SSR service availability for an itinerary specified in the request.
Notice:
Product Scope: FareMarket, TechHub, TechHub+
POST
/flight/bookingParameter
| Field | Mandatory | Type | Scope | Description |
|---|---|---|---|---|
| action | required |
String | GetSSRAvailability | |
| key | required |
String | API security key applied from AeroHub | |
| signature | required |
String | Refer to Guideline to generate. | |
| timestamp | required |
Int | The ‘timestamp’ field should be a 10-digit Unix timestamp in seconds, used for encryption and data verification. | |
| version | optional |
String | API version information, e.g. 3.2.0 | |
| request | required |
Object[] | ||
| sessionId | required |
String | Session id: unique identification from AirPricing | |
| ssrJourney | required |
Int | Journey type, 1 presents ancillary of outbound journey, 2 presents ancillary of inbound journey. 0 presents ancillary of entire journey |
Request_Example:
{ "key": "n93mPT7WzN6cLKC2", "signature": "YhQ2EoBQOfOnf/EOnuuuK5i+K+ncydeQhjFpoXYiEMo=", "timestamp": 1685116516, "action": "GetSSRAvailability", "request": { "sessionId": "5f5c1a4c3fbd9d100f667b99310f29b3", "ssrJourney": 1 } }
Response
| Field | Type | Description |
|---|---|---|
| status | int | 0 for success, others for failure, refer to status error appendix for details |
| msg | String | Return message, maximum 64 char |
| contentStatus | int | Return the original code from airlines or suppliers. |
| contentMsg | String | Return the original message from airlines or suppliers, maximum 64 char |
| journeySSRS | Object[] | Segment list contains the SSR |
| flightNumbers | Object[] | The flight number of the request segment .eg. [VJ302]. There are multi flight numbers if it’s connection flight |
| journeyNumber | Int | Journey type, 1 represent departure journey, 2 represent arrival journey |
| journeyType | Int | Journey fare type. 1 represent fare by journey, 2 represent fare by segment |
| ssrs | Object[] | SSR list per Segment |
| amount | float | SSR Price |
| passengerId | Int | Passagerid is the Passenger ID returned in the order when purchasing ancillary products after ticketing is completed. |
| currency | String | Currency information, 3_letter code e.g. USD |
| originalAmount | Float | Fare amount from airlines |
| originalCurrency | String | Currency information, 3-Letter Codes e.g. USD |
| applyType | Int | 0: ALL, 1: DURING_BOOKING, 2: POST_BOOKING |
| code | String | Unique identify code for SSR Code |
| data | String | request paramenter for SellSSR |
| maxCount | Int | available count, only support for techhub product |
| name | String | ssr display name |
| type | Int | Type, 0: Checkin Baggage; 1: Cabin Baggage; 2: Online Checkin; 3: Cabin Baggage + Priority Boarding Package; |
| weight | Int | baggage weight, visible when type is 0 |
| weightType | String | Indicates how the returned baggage weight should be interpreted. TOTAL: the returned baggage weight represents the total weight. PER_WEIGHT: the returned baggage weight represents the weight per piece. |
| unit | String | baggage unit, visible when type is 0 |
| chargeFees | Object[] | Object for charge fee details from AeroHub |
| chargeType | String | Charge fee type. 1: Ticketing processing fee, return the value while request GetAvailability API; 2: Ancillary fee, return the value while requesting getSSR or getSeat api |
| chargeAmount | Float | amount |
| currency | String | currency |
Success-Response:
{ "chargeFees": [ { "chargeAmount": 0, "chargeType": 2, "currency": "USD" } ], "status": 0, "msg": "Success", "journeySSRS": [ { "flightNumbers": [ "AI130", "AI2354" ], "journeyNumber": 1, "journeyType": 1, "ssrs": [ { "amount": 291.06, "applyType": 1, "code": "PA23", "currency": "USD", "data": "", "maxCount": 1, "name": "PA23", "originalAmount": 291.06, "originalCurrency": "USD", "type": 0, "unit": "KG", "weight": 23, "weightType": "PER_WEIGHT" } ] }, { "flightNumbers": [ "AI2353", "AI129" ], "journeyNumber": 2, "journeyType": 1, "ssrs": [ { "amount": 286.04, "applyType": 1, "code": "PA23", "currency": "USD", "data": "", "maxCount": 1, "name": "PA23", "originalAmount": 286.04, "originalCurrency": "USD", "type": 0, "unit": "KG", "weight": 23, "weightType": "PER_WEIGHT" } ] } ], "contentStatus": 0, "contentMsg": "Success" }
Status Code
| Name | Description |
|---|---|
| 1000 | General system error |
| 1001 | Request parameters or part of parameters missing |
| 1002 | Invalid Action |
| 1003 | API request timeout, please request again |
| 1004 | Invalid request parameter |
| 1005 | Service system error |
| 1006 | System busy, please try again |
| 1101 | Authentication fail, wrong signature |
| 1102 | Account disabled, please contact with account administrator |
| 1999 | Empty Results |
| 2101 | SSR data is not available |
Error-Response
{ "status": 1000, "msg": "Letslfy flight internal error" }
Author:admin Create time:2023-05-24 16:05
Last editor:AeroHub Update time:2026-03-19 18:06
Last editor:AeroHub Update time:2026-03-19 18:06